import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce1DT 
{	  String s;
	  public  ce1DT()
	  {girdi2T g=new girdi2T("f2DT"," ");
	   s=g.vericiktisi();
	   try{ g.finalize();} 
	   catch(Throwable e1) {System.err.println("input error.");} 
	  }
	  
	  public  ce1DT(String function)
	  {	  functiongeneratorT g=new functiongeneratorT("fb",function);
	      s=g.createfunction();
	      try{ g.finalize();} 
	      catch(Throwable e1) {System.err.println("input error.");}
	  }

	  public static void main(String arg[])
	  { //String s1=JOptionPane.showInputDialog(" Fonksiyonu giriniz : ");
		ce1DT x0=new ce1DT();
        double a[]=Text.readDoubleV("Enter minimum and maximum values of functions (optional): xmin xmax tmin tmax (dx dtplot dt)");
        ce3DT x1=new ce3DT(a,x0.s);
	  }
}
